> For the complete documentation index, see [llms.txt](https://developers.oxylabs.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.oxylabs.io/help-center/getting-started/start-using-mobile-proxies.md).

# Start using Mobile Proxies

Start by registering an account on the [Oxylabs dashboard](https://dashboard.oxylabs.io/en/). Purchase a plan and create a proxy user.

### Make a cURL request <a href="#h_e4cfca4a7d" id="h_e4cfca4a7d"></a>

Once you have the proxy user set up, you’ll be directed to a screen with a cURL that you can copy:

```
curl 'https://ip.oxylabs.io/location' -U 'customer-USERNAME:PASSWORD' -x 'pr.oxylabs.io:7777'
```

Replace the USERNAME and PASSWORD with the proxy user credentials you’ve just created, paste the code [into your terminal](https://oxylabs.io/resources/integrations/terminal) (or any other setup you're using), and run the command to make a basic request using a random cellular network IP address.

Check out this video guide for a quick reference:

{% embed url="<https://www.youtube.com/embed/oLf2-5ULhaQ?rel=0>" %}

{% hint style="success" %}
Check our [documentation](https://developers.oxylabs.io/proxies/mobile-proxies) for comprehensive information on setup, including location parameters, entry nodes, response codes, and more.
{% endhint %}

### Location and session parameters <a href="#h_f775c22ebc" id="h_f775c22ebc"></a>

If you want to connect to a Mobile Proxy located in a specific country or city, visit the [Location settings](/products/proxies/mobile-proxies/location-settings.md) page in our documentation. All of these geo-targeting options are free of charge:

* Continent
* Country
* City
* State
* Coordinates
* ASN Targeting

To extend your session time for a specific IP address, see this [Session Control](/products/proxies/mobile-proxies/session-control.md) page.

### Integration guides <a href="#h_9d7378e0cb" id="h_9d7378e0cb"></a>

In case you want to use a proxy manager or other third-party software, see this integrations page for step-by-step instructions. There, you’ll find integration guides for the most popular third-party applications.

### Endpoint generator <a href="#h_1eadd62e96" id="h_1eadd62e96"></a>

The Endpoint generator allows you to quickly create and receive a list of endpoints by choosing the parameters you need. You can find in-depth steps on how to use it on this [Endpoint generator](/products/proxies/mobile-proxies/endpoint-generator.md) page.

***

<a href="https://dashboard.oxylabs.io/en/" class="button primary">Head back to the dashboard</a>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developers.oxylabs.io/help-center/getting-started/start-using-mobile-proxies.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
